Bug 106749 - XFree86 crash when selecting teletext font
XFree86 crash when selecting teletext font
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 02:30 EDT by Jan Ondrej
Modified: 2014-03-10 09:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Ondrej 2003-10-10 02:30:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701
Galeon/1.3.9

Description of problem:
XFree86 crashes (restarts automatically or hangs), when selecting teletext font
(which is in xawtv-tv-fonts package).

I think, this is similiar to this bugtraq report:
  http://www.securityfocus.com/archive/1/335592


Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. install xawtv-tv-fonts
2. start xfontsel
3. select font family "teletext"
    

Actual Results:  Tested on 2 RedHat 9 systems. On one of them XFree86 crashes
with signal 11:

Fatal server error:
Caught signal 11.  Server aborting

On second computer XFree freezes (i can't move mouse and can't switch windows).


Additional info:

There is only signal 11 hangup in XFree86.log. If you need full XFree86.log,
please tell me.
Comment 1 Mike A. Harris 2004-10-12 09:02:36 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.